from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, StringWidget
from Products.Archetypes.public import TextField, TextAreaWidget
from Products.Archetypes.public import ImageField, ImageWidget
from Products.Archetypes.public import BaseContent, registerType
from Products.CMFCore import permissions
from config import PROJECTNAME

spotlightschema = BaseSchema +  Schema((
                    StringField('description',
                    isMetadata=1,
                    accessor='Description',
                    widget=TextAreaWidget(label='Description', 
                                label_msgid='label_spotlight_desc',
                                description='A brief description of the project.',
                                description_msgid='help_description',
                                i18n_domain='ATBookmarks'),),
                    ImageField('spotlight_image',
                    widget=ImageWidget(label='Image for spotlight',
                                      label_msgid='label_spotlight_image',
                                      description='The Image that will show up in the Spotlight',
                                      description_msgid='help_spotlight_image',
                                      i18n_domain='ATBookmarks'),),
                    StringField('remote_url',
                    widget=StringWidget(label='URL of the Project in the spotlight',
                                      label_msgid='label_spotlight_url',
                                      description='This links to the project in the Spotlight',
                                      description_msgid='help_spotlight_url',
                                      i18n_domain='ATBookmarks'),),   
                              ))

class SpotlightLink(BaseContent):
    """In The Spotlight for IW LEARN
    """
    schema = spotlightschema
    #meta_type = 'spotlight'
    #archetype_name = 'spotlight'
    
    content_icon = 'spotlight_icon.png'

    actions = ({
        'id': 'view',
        'name': 'View',
        'action': 'string:${object_url}/spotlight_view',
        'permissions': (permissions.View,)
        },)

registerType(SpotlightLink, PROJECTNAME)
